/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ca.uwo.csd.nlp.pred;

import java.util.ArrayList;

/**
 *
 * @author tonatuni
 */
public class ModifierAdv extends Predicate {

    String ref;
    String adverb;
    String degree;

    public ModifierAdv(String ref, String adverb, String degree) {
        this.ref = ref;
        this.adverb = adverb;
        this.degree = degree;
    }

    public ModifierAdv(ArrayList<String> l) {
        this.ref = l.get(0);
        this.adverb = l.get(1);
        this.degree = l.get(2);
    }
    @Override
    public String getRef() {
        return ref;
    }

    public String getAdverb() {
        return adverb;
    }

    public String getDegree() {
        return degree;
    }

    
    @Override
    public String toString() {
        return "modifier_adv(" + ref + "," + adverb + "," + degree + ')';
    }

    @Override
    public String getType() {
        return "MADV";
    }


}
