/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ca.uwo.csd.nlp.pred;

import java.util.ArrayList;

/**
 *
 * @author tonatuni
 */
public class ModifierPP extends Predicate {

    String ref1;
    String prep;
    String ref2;

    public ModifierPP(String ref1, String prep, String ref2) {
        this.ref1 = ref1;
        this.prep = prep;
        this.ref2 = ref2;
    }
    public ModifierPP(ArrayList<String> l) {
        this.ref1 = l.get(0);
        this.prep = l.get(1);
        this.ref2 = l.get(2);
    }

    @Override
    public String getRef() {
        return ref1;
    }

    public String getPrep() {
        return prep;
    }

    public String getRef1() {
        return ref1;
    }

    public String getRef2() {
        return ref2;
    }

    
    @Override
    public String toString() {
        return "modifier_pp(" + ref1 + "," + prep + "," + ref2 + ')';
    }

    @Override
    public String getType() {
        return "MPP";
    }


}
