/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ca.uwo.csd.nlp.pred;

import java.util.ArrayList;

/**
 *
 * @author Syeed Ibn Faiz
 */
public class Relation extends Predicate {

    String ref1;
    String ref2;
    boolean negated;

    public Relation(String ref1, String ref2) {
        this.ref1 = ref1;
        this.ref2 = ref2;
        this.negated = false;
    }

    public boolean isNegated() {
        return negated;
    }

    public void setNegated(boolean negated) {
        this.negated = negated;
    }
    public Relation(ArrayList<String> l) {
        this.ref1 = l.get(0);
        this.ref2 = l.get(2);
    }

    @Override
    public String getRef() {
        return ref1;
    }

    public String getRef1() {
        return ref1;
    }

    public String getRef2() {
        return ref2;
    }


    @Override
    public String toString() {
        return "relation(" + ref1 + ",of," + ref2 + ")";
    }

    @Override
    public String getType() {
        return "REL";
    }


}
