/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ca.uwo.csd.nlp;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author tonatuni
 */
public class APEInterface {

    String address;
    int port;
    URL url;
    public APEInterface() {
        this.address = "localhost";
        this.port = 8000;
        url = null;
    }

    public APEInterface(String address, int port) {
        this.address = address;
        this.port = port;
        url = null;
    }

    
    public String getDRS(String query, String output) throws IOException {
        String drs = "";
        try {
            String file = "/?text=" + URLEncoder.encode(query, "UTF-8") + "&guess=on&solo=" + output;
            url = new URL("http", address, port, file);
            URLConnection con = url.openConnection();
            BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
            //drs = in.readLine();
            String s = null;
            while ((s = in.readLine()) != null) {
                drs += s;
            }
            in.close();            
        } catch (IOException ex) {
            throw ex;
        }
        return drs;

    }

    public String getLink(String query, String output) throws UnsupportedEncodingException, MalformedURLException {
        String file = "/?text=" + URLEncoder.encode(query, "UTF-8") + "&guess=on&solo=" + output;
        URL u = new URL("http", address, port, file);
        return u.toExternalForm();
    }
}
