/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ca.uwo.csd.nlp.cmplx;

import ca.uwo.csd.nlp.DRS;

/**
 *
 * @author tonatuni
 */
public class Disjunction extends CmplxStruct {

    DRS drs1;
    DRS drs2;

    public Disjunction(DRS drs1, DRS drs2) {
        this.drs1 = drs1;
        this.drs2 = drs2;
    }

    public DRS getDrs1() {
        return drs1;
    }

    public DRS getDrs2() {
        return drs2;
    }
    
    @Override
    public String getType() {
        return "DISJ";
    }

    @Override
    public String toString() {
        return "v(" + drs1 + "," + drs2 + ')';
    }

    @Override
    public DRS getNestedDRS() {
        throw new UnsupportedOperationException("Not supported yet.");
    }



}
