/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ca.uwo.csd.nlp.pred;

import java.util.ArrayList;

/**
 *
 * @author tonatuni
 */
public class Query extends Predicate {

    String ref;
    String qWord;

    public Query(String ref, String qWord) {
        this.ref = ref;
        this.qWord = qWord;
    }

    public Query(ArrayList<String> l) {
        this.ref = l.get(0);
        this.qWord = l.get(1);
    }
    
    @Override
    public String getRef() {
        return ref;
    }

    public String getqWord() {
        return qWord;
    }

    
    @Override
    public String toString() {
        return "query(" + ref + "," + qWord + ')';
    }

    @Override
    public String getType() {
        return "QRY";
    }


}
